Package tigase.xmpp.impl.roster

## Class RosterElement

- java.lang.Object
- - tigase.xmpp.impl.roster.RosterElement

-     public class RosterElement
      extends java.lang.Object

  Describe class RosterElement here.
  Created: Wed Oct 29 14:21:16 2008
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static long` | `INITIAL_LAST_SEEN_VAL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RosterElement​(Element roster_el)` |
    `RosterElement​(JID jid, java.lang.String name, java.lang.String[] groups)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addGroups​(java.lang.String[] groups)` |
    `double` | `getActivity()` |
    `java.lang.String[]` | `getGroups()` |
    `JID` | `getJid()` |
    `long` | `getLastSeen()` |
    `java.lang.String` | `getMixParticipantId()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getOtherData()` |
    `Element` | `getRosterElement()` |
    `Element` | `getRosterItem()` |
    `RosterAbstract.SubscriptionType` | `getSubscription()` |
    `double` | `getWeight()` |
    `boolean` | `isModified()` |
    `boolean` | `isOnline()` |
    `boolean` | `isPersistent()` |
    `boolean` | `isPresence_sent()` |
    `void` | `setActivity​(double activity)` |
    `void` | `setGroups​(java.lang.String[] groups)` |
    `void` | `setLastSeen​(long lastSeen)` |
    `void` | `setMixParticipantId​(java.lang.String value)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setOnline​(java.lang.String resource, boolean online)` |
    `void` | `setOtherData​(java.lang.String other_data)` |
    `void` | `setPersistent​(boolean persistent)` |
    `void` | `setPresence_sent​(boolean presence_sent)` |
    `void` | `setSubscription​(RosterAbstract.SubscriptionType subscription)` |
    `void` | `setWeight​(double weight)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INITIAL_LAST_SEEN_VAL

          protected static final long INITIAL_LAST_SEEN_VAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RosterElement

          public RosterElement​(Element roster_el)
                        throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### RosterElement

          public RosterElement​(JID jid,
                               java.lang.String name,
                               java.lang.String[] groups)

  - ### Method Detail

    - #### addGroups

          public void addGroups​(java.lang.String[] groups)

    - #### getGroups

          public java.lang.String[] getGroups()

    - #### setGroups

          public final void setGroups​(java.lang.String[] groups)

    - #### getJid

          public JID getJid()

    - #### getName

          public java.lang.String getName()

    - #### setName

          public final void setName​(java.lang.String name)

    - #### getOtherData

          public java.lang.String getOtherData()

    - #### setOtherData

          public void setOtherData​(java.lang.String other_data)

    - #### getMixParticipantId

          public java.lang.String getMixParticipantId()

    - #### setMixParticipantId

          public void setMixParticipantId​(java.lang.String value)

    - #### getRosterElement

          public Element getRosterElement()

    - #### getRosterItem

          public Element getRosterItem()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSubscription

          public RosterAbstract.SubscriptionType getSubscription()

    - #### setSubscription

          public void setSubscription​(RosterAbstract.SubscriptionType subscription)

    - #### isModified

          public boolean isModified()

    - #### isOnline

          public boolean isOnline()

    - #### isPresence_sent

          public boolean isPresence_sent()

    - #### setPresence_sent

          public void setPresence_sent​(boolean presence_sent)

    - #### setOnline

          public void setOnline​(java.lang.String resource,
                                boolean online)

    - #### isPersistent

          public boolean isPersistent()

    - #### setPersistent

          public void setPersistent​(boolean persistent)

    - #### getActivity

          public double getActivity()

    - #### setActivity

          public void setActivity​(double activity)

    - #### getWeight

          public double getWeight()

    - #### setWeight

          public void setWeight​(double weight)

    - #### getLastSeen

          public long getLastSeen()

    - #### setLastSeen

          public void setLastSeen​(long lastSeen)